Bug 17106 - --fstab option broken in /sbin/mkinitrd
Summary: --fstab option broken in /sbin/mkinitrd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-30 13:25 UTC by Denice
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-30 13:25:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Denice 2000-08-30 13:25:01 UTC
The mkinitrd script does not honour the --fstab option.  I have appended a
patch.  Here
is the offending ouput with 'set -x':

# mkbootdisk --verbose --mkinitrdargs --fstab=/tmp/fstab 2.2.16-3
 .....
 + grep ^/dev/md --fstab=/tmp/fstab
  grep: unrecognized option `--fstab=/tmp/fstab'
  Usage: grep [OPTION]... PATTERN [FILE]...
  Try `grep --help' for more information.

# rpm -qf /sbin/mkinitrd
mkinitrd-2.4.1-2 

--- mkinitrd    Tue Feb 29 22:10:14 2000
+++ mkinitrd.new        Wed Aug 30 15:15:07 2000
@@ -96,7 +96,7 @@
     case $1 in
        --fstab*)
            if echo $1 | grep '=' >/dev/null ; then
-               fstab=`echo $1 | sed 's/^--with=//'`
+               fstab=`echo $1 | sed 's/^--fstab=//'`
            else
                fstab=$2
                shift

Comment 1 Erik Troan 2002-05-21 02:51:29 UTC
been fixed for a while -- don't know exactly when


Note You need to log in before you can comment on or make changes to this bug.